# Using ERC-20 tokens to pay gas

In case you want to pay for gas using an ERC20 token, pass the flag `gasToken: "<TOKEN_ADDRESS>"` to the SDK.

{% hint style="info" %}
IMP - Please ensure the Smart Account has the required balance of ERC20 tokens specified in the above flag.
{% endhint %}

{% code fullWidth="false" %}

```typescript
const bastion = new Bastion();
const bastionConnect = await bastion.bastionConnect;

const CONFIG = {
	chainId: <chain_id>, // optional
	privateKey: <your_private_key>, //optional
	rpcUrl: <RPC_URL>, //optional
	apiKey: <your_api_key>, //required
	gasToken: "0xd14838A68E8AFBAdE5efb411d5871ea0011AFd28", // LINK ERC20 token on arb-Goerli
};			
bastionConnect.init(<your_web3Provider>, CONFIG);
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bastionwallet.io/bastion-sdk/guides/using-erc-20-tokens-to-pay-gas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
